com.mysql.cj.protocol

## Interface ResultsetRowsOwner

All Known Subinterfaces:
  ResultSetInternalMethods

    public interface ResultsetRowsOwner

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `closeOwner()`
`MysqlConnection` `getConnection()`
`Lock` `getLock()`
`int` `getOwnerFetchSize()`
`Query` `getOwningQuery()`
`int` `getOwningStatementFetchSize()`
`int` `getOwningStatementMaxRows()`
`long` `getOwningStatementServerId()`
`String` `getPointOfOrigin()` StackTrace generated where ResultSet was created...
`Session` `getSession()`

### Method Detail

#### closeOwner

    void closeOwner()

#### getConnection

    MysqlConnection getConnection()

#### getSession

    Session getSession()

#### getLock

    Lock getLock()

#### getPointOfOrigin

    String getPointOfOrigin()

StackTrace generated where ResultSet was created... used when profiling

Returns:
  string representation of a stack trace

#### getOwnerFetchSize

    int getOwnerFetchSize()

#### getOwningQuery

    Query getOwningQuery()

#### getOwningStatementMaxRows

    int getOwningStatementMaxRows()

#### getOwningStatementFetchSize

    int getOwningStatementFetchSize()

#### getOwningStatementServerId

    long getOwningStatementServerId()

Copyright © 2016, 2024, Oracle and/or its affiliates.